<doxygenindex xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="index.xsd">
  <compound kind="struct" refid="structboot__status"><name>boot_status</name>
    <member kind="variable" refid="structboot__status_1adf8455547ae1ee50f6fa199657037166"><name>idx</name></member>
    <member kind="variable" refid="structboot__status_1a7a6ed1d69b381c06d86c22b0a67ef78c"><name>state</name></member>
    <member kind="variable" refid="structboot__status_1a2f8f26c9a76f39590b77577c73846233"><name>use_scratch</name></member>
    <member kind="variable" refid="structboot__status_1a64523560681b86ca488074871a7b386d"><name>swap_type</name></member>
    <member kind="variable" refid="structboot__status_1aff64c24a2ff11377d716205d9825bd43"><name>swap_size</name></member>
  </compound>
  <compound kind="struct" refid="structboot__swap__state"><name>boot_swap_state</name>
    <member kind="variable" refid="structboot__swap__state_1a35e293beeeabecb91a381dd793ba61d3"><name>magic</name></member>
    <member kind="variable" refid="structboot__swap__state_1ac5eb83d75047b4f4bf0e2aa7a34f78c7"><name>swap_type</name></member>
    <member kind="variable" refid="structboot__swap__state_1a135c47ae5a43d336d5ab62b5e72417bb"><name>copy_done</name></member>
    <member kind="variable" refid="structboot__swap__state_1af9fdb9362834412b79bf710a1abafef5"><name>image_ok</name></member>
    <member kind="variable" refid="structboot__swap__state_1ad0d72840b2d63a28c27dacb5d07bd84f"><name>image_num</name></member>
  </compound>
  <compound kind="struct" refid="structcy__ota__agent__params__t"><name>cy_ota_agent_params_t</name>
    <member kind="variable" refid="structcy__ota__agent__params__t_1adf754cf9aaa07e786e366dc2204d6429"><name>reboot_upon_completion</name></member>
    <member kind="variable" refid="structcy__ota__agent__params__t_1a4474305852ba2b1f29e8b0d15ca671c5"><name>validate_after_reboot</name></member>
    <member kind="variable" refid="structcy__ota__agent__params__t_1a2f3b68d908f64e031aca84d871554850"><name>cb_func</name></member>
    <member kind="variable" refid="structcy__ota__agent__params__t_1a8734130b240a3c0121a412c1a92afffa"><name>cb_arg</name></member>
  </compound>
  <compound kind="struct" refid="structcy__ota__cb__struct__t"><name>cy_ota_cb_struct_t</name>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1ae28ffd179023e8902cbd3e88785540ad"><name>reason</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1afa47e10a9fe4712558dded6625a3c484"><name>cb_arg</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1a48361e091a9b49cc103b9b37d7328784"><name>state</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1acc8a4e04f407ca0bbf0dc35e7e42f0c1"><name>error</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1aafd5022e59a7d19d6a103f9217710644"><name>storage</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1ad29859423d69a8e0815a833a70284bdb"><name>total_size</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1ab43108a89dadf59dcad71d4b4c75411d"><name>bytes_written</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1a1d802b856542ce6b7e59e2559026307d"><name>percentage</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1aabc069ca938caaeda44300df68d31903"><name>connection_type</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1a0c9a21c445dda18f419957d7612ea497"><name>broker_server</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1a7ab0d6499d9051e229c9c51df88d4580"><name>credentials</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1acec41a1dbcc593957f4ae47b3bcba5f5"><name>http_connection</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1a28a3f0ac910477bfea4b8f799e91f095"><name>mqtt_connection</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1a71bfd9cf787fc18dfd42b54950103a25"><name>file</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1ab3b3a87b636c188c6549c614a50ba4e3"><name>unique_topic</name></member>
    <member kind="variable" refid="structcy__ota__cb__struct__t_1a2b43a418b275e5ef22173df42f4b9efa"><name>json_doc</name></member>
  </compound>
  <compound kind="struct" refid="structcy__ota__http__params__t"><name>cy_ota_http_params_t</name>
    <member kind="variable" refid="structcy__ota__http__params__t_1a7ebf7f42bb7e54aaf2014403752cccbc"><name>server</name></member>
    <member kind="variable" refid="structcy__ota__http__params__t_1a1e685fc8622e19d7a9cd87dc4b159656"><name>file</name></member>
    <member kind="variable" refid="structcy__ota__http__params__t_1a28c66a28e7ee156a5d21882ce13e6080"><name>credentials</name></member>
  </compound>
  <compound kind="struct" refid="structcy__ota__mqtt__params__t"><name>cy_ota_mqtt_params_t</name>
    <member kind="variable" refid="structcy__ota__mqtt__params__t_1a426a5dcd872c5e7aa8f1e5b5a812dc41"><name>awsIotMqttMode</name></member>
    <member kind="variable" refid="structcy__ota__mqtt__params__t_1ad34d95200fc95de6118ec4e3d699afd6"><name>pIdentifier</name></member>
    <member kind="variable" refid="structcy__ota__mqtt__params__t_1ac806ee0d85cccc193de4b7b9be601477"><name>numTopicFilters</name></member>
    <member kind="variable" refid="structcy__ota__mqtt__params__t_1a7bb69c553cb9c13d8f32b3cb196ad0f9"><name>pTopicFilters</name></member>
    <member kind="variable" refid="structcy__ota__mqtt__params__t_1a8c08bc782786d64fcf57aa94e3d446cd"><name>session_type</name></member>
    <member kind="variable" refid="structcy__ota__mqtt__params__t_1afdf94288c07eb7e6648cb76779060f34"><name>broker</name></member>
    <member kind="variable" refid="structcy__ota__mqtt__params__t_1a42decbf03c92b95bde685ed5c6eb7ae3"><name>credentials</name></member>
  </compound>
  <compound kind="struct" refid="structcy__ota__network__params__t"><name>cy_ota_network_params_t</name>
    <member kind="variable" refid="structcy__ota__network__params__t_1abcc290be8049d49f332165ac7aafb3e0"><name>initial_connection</name></member>
    <member kind="variable" refid="structcy__ota__network__params__t_1a6fa4db81577b20f350b43153adad5c9e"><name>mqtt</name></member>
    <member kind="variable" refid="structcy__ota__network__params__t_1adeff13d7efd88ae4d641bcd3b33a37d9"><name>http</name></member>
    <member kind="variable" refid="structcy__ota__network__params__t_1abf5643e6336accb1b9bb7e5b219f3553"><name>network_interface</name></member>
    <member kind="variable" refid="structcy__ota__network__params__t_1a5668e310a824240b5b756b23f63095c0"><name>use_get_job_flow</name></member>
  </compound>
  <compound kind="struct" refid="structcy__ota__server__info__t"><name>cy_ota_server_info_t</name>
    <member kind="variable" refid="structcy__ota__server__info__t_1a0a79919e0a3bb279b462942fb410cb5b"><name>pHostName</name></member>
    <member kind="variable" refid="structcy__ota__server__info__t_1a824fa715a00ad3c161b7a8cde090914d"><name>port</name></member>
  </compound>
  <compound kind="struct" refid="structcy__ota__storage__write__info__t"><name>cy_ota_storage_write_info_t</name>
    <member kind="variable" refid="structcy__ota__storage__write__info__t_1a23215e611d8933d75fc52e902d3f4502"><name>total_size</name></member>
    <member kind="variable" refid="structcy__ota__storage__write__info__t_1a0405b3806c0de934f5f5f55ac693c184"><name>offset</name></member>
    <member kind="variable" refid="structcy__ota__storage__write__info__t_1af66dba2bcbb117c85bcf20fa0357c525"><name>buffer</name></member>
    <member kind="variable" refid="structcy__ota__storage__write__info__t_1a20c92fe4a9bba891efd3319efbd05060"><name>size</name></member>
    <member kind="variable" refid="structcy__ota__storage__write__info__t_1abe05546ecff7e5985d268248c0ebb3e5"><name>packet_number</name></member>
    <member kind="variable" refid="structcy__ota__storage__write__info__t_1a3d5cf26f262a52569a71a8948df60b56"><name>total_packets</name></member>
  </compound>
  <compound kind="struct" refid="structflash__area"><name>flash_area</name>
    <member kind="variable" refid="structflash__area_1acfe73a1f4f00fdf58129b21e5b71f5d4"><name>fa_id</name></member>
    <member kind="variable" refid="structflash__area_1a5d78c6ab00bab1bd0e825743925216a9"><name>fa_device_id</name></member>
    <member kind="variable" refid="structflash__area_1af98b8f20c0219bfcdd2fc20037845a99"><name>pad16</name></member>
    <member kind="variable" refid="structflash__area_1a44fbf0af3ba0e7fa1c3623e7d48e0739"><name>fa_off</name></member>
    <member kind="variable" refid="structflash__area_1ac580f8ab560582c02f12e96cb67b0e59"><name>fa_size</name></member>
  </compound>
  <compound kind="struct" refid="structflash__map__entry"><name>flash_map_entry</name>
    <member kind="variable" refid="structflash__map__entry_1aaca0a1196b9dd1eb445af61ee04bad18"><name>magic</name></member>
    <member kind="variable" refid="structflash__map__entry_1a1b7da404e3ce02bbe86f43e604bddb46"><name>area</name></member>
    <member kind="variable" refid="structflash__map__entry_1a45cc055ca5354b9e8eb46365af237de0"><name>ref_count</name></member>
  </compound>
  <compound kind="struct" refid="structflash__sector"><name>flash_sector</name>
    <member kind="variable" refid="structflash__sector_1a97421370396c491b90685ed0fc618931"><name>fs_off</name></member>
    <member kind="variable" refid="structflash__sector_1a69093e5c1e6884b6ae50be44788c53a0"><name>fs_size</name></member>
  </compound>
  <compound kind="struct" refid="structimage__trailer"><name>image_trailer</name>
    <member kind="variable" refid="structimage__trailer_1ab320afc5ad7e0b6ebebabde87996552f"><name>swap_type</name></member>
    <member kind="variable" refid="structimage__trailer_1a2d00426fe8a55646caea76be7957f5b5"><name>pad1</name></member>
    <member kind="variable" refid="structimage__trailer_1a471b23eb92213e177e0d104031777173"><name>copy_done</name></member>
    <member kind="variable" refid="structimage__trailer_1a352ba1efbbc61033d24574282ce21689"><name>pad2</name></member>
    <member kind="variable" refid="structimage__trailer_1a837ee6fb3615e49b9a87b802b1ecb677"><name>image_ok</name></member>
    <member kind="variable" refid="structimage__trailer_1abf7bdba32f877932c67ae09b3ce08b40"><name>pad3</name></member>
    <member kind="variable" refid="structimage__trailer_1a0f9f7225f46fefff01d90d3dee65c685"><name>magic</name></member>
  </compound>
  <compound kind="file" refid="anycloud-ota-doxy_8h"><name>anycloud-ota-doxy.h</name>
  </compound>
  <compound kind="file" refid="bootutil_8h"><name>bootutil.h</name>
    <member kind="define" refid="bootutil_8h_1abb6482b898e8307074d8aef01b1102b7"><name>BOOT_SWAP_TYPE_NONE</name></member>
    <member kind="define" refid="bootutil_8h_1a3aa4415c47231a120c4cab455ea0beef"><name>BOOT_SWAP_TYPE_TEST</name></member>
    <member kind="define" refid="bootutil_8h_1a09ebc9ba28e294e71388480bb9e4f677"><name>BOOT_SWAP_TYPE_PERM</name></member>
    <member kind="define" refid="bootutil_8h_1a8ca7bd765c6ab669db0774c0b0122494"><name>BOOT_SWAP_TYPE_REVERT</name></member>
    <member kind="define" refid="bootutil_8h_1a28cb43e6bfacdd285d95751cda80de13"><name>BOOT_SWAP_TYPE_FAIL</name></member>
    <member kind="define" refid="bootutil_8h_1ab10caf2f498fd5cae5eb1b00675ade11"><name>BOOT_SWAP_TYPE_PANIC</name></member>
    <member kind="define" refid="bootutil_8h_1a4a32d15f3cf338f519af849eba394919"><name>BOOT_MAX_ALIGN</name></member>
    <member kind="function" refid="bootutil_8h_1a02d261d92c2609013d723420aae70dcf"><name>boot_swap_type_multi</name></member>
    <member kind="function" refid="bootutil_8h_1a3e4302edd19c4b31ca6cf67111256833"><name>boot_swap_type</name></member>
    <member kind="function" refid="bootutil_8h_1a11e3b218d7aec6c1c2cb9406e9c42a5c"><name>boot_set_pending</name></member>
    <member kind="function" refid="bootutil_8h_1a2880d6bf6773d78fde76dcbfaba45a40"><name>boot_set_confirmed</name></member>
  </compound>
  <compound kind="file" refid="bootutil__log_8h"><name>bootutil_log.h</name>
    <member kind="define" refid="bootutil__log_8h_1ac0bb8710ac46cda1f598c166ca85f23f"><name>BOOT_LOG_ERR</name></member>
    <member kind="define" refid="bootutil__log_8h_1a961e44ab17e707eac375d4c12f956faa"><name>BOOT_LOG_WRN</name></member>
    <member kind="define" refid="bootutil__log_8h_1ab9463aa32c278855b1a4fbc9164d0b3f"><name>BOOT_LOG_INF</name></member>
    <member kind="define" refid="bootutil__log_8h_1ad60e6845c2f9df702cc5aa297eb58a7d"><name>BOOT_LOG_DBG</name></member>
  </compound>
  <compound kind="file" refid="bootutil__priv_8h"><name>bootutil_priv.h</name>
    <member kind="define" refid="bootutil__priv_8h_1af343b20373ba49a92fce523e948f2ab3"><name>ASSERT</name></member>
    <member kind="define" refid="bootutil__priv_8h_1ae2bd94bf9bec45dd3bd3de874ec2a9f4"><name>BOOT_EFLASH</name></member>
    <member kind="define" refid="bootutil__priv_8h_1aff11244883ac258094557f64256d797d"><name>BOOT_EFILE</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a5014a2f35c9fbbb0174b97284d9e4cca"><name>BOOT_EBADIMAGE</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a6c38c02ce7768e1414600c6c8039321c"><name>BOOT_EBADVECT</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a6260237ba8740970392caa880c6efdc6"><name>BOOT_EBADSTATUS</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a31636c141e303e55c62f15cad1e70674"><name>BOOT_ENOMEM</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a90a297b1c858444371bf6332c388fd29"><name>BOOT_EBADARGS</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a7fd21aa9bcf3907a7b00141b44f2d1f3"><name>BOOT_EBADVERSION</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a6122c32b4f26671771ce3ad5d2b74756"><name>BOOT_TMPBUF_SZ</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a3f8d6337e4421a49109ba255540b5f7c"><name>BOOT_NUM_SLOTS</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a075c554bdfd23e7782a20eb69f0a9af5"><name>BOOT_MAGIC_GOOD</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a625383f05678617ea4b20d756b61507e"><name>BOOT_MAGIC_BAD</name></member>
    <member kind="define" refid="bootutil__priv_8h_1aa88ee375ad2592d66ddcff7b2b9b73d7"><name>BOOT_MAGIC_UNSET</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a3e47d81dcef5c0fe2a978894f02df2d2"><name>BOOT_MAGIC_ANY</name></member>
    <member kind="define" refid="bootutil__priv_8h_1af545a1cbf3cd0234d21db63a6f10b68e"><name>BOOT_MAGIC_NOTGOOD</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a6e1292f491735d41bbbe6e88bd6118a9"><name>BOOT_FLAG_SET</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a48714af23c5c11c960d6d932cfa6bf91"><name>BOOT_FLAG_BAD</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a4e313443d0973c55c8d5ff3fbee6c1aa"><name>BOOT_FLAG_UNSET</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a2bfe000313a9270e875b0a742eaba671"><name>BOOT_FLAG_ANY</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a87152d53dad56dcac0b652fe9bb8232b"><name>BOOT_STATUS_IDX_0</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a0386550cf766e01e70f38a08c11d5da5"><name>BOOT_STATUS_STATE_0</name></member>
    <member kind="define" refid="bootutil__priv_8h_1ac17711a4f74840c13a4cabe267626f20"><name>BOOT_STATUS_STATE_1</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a8819b8e19eddcb82d9e0ed4ff043a90e"><name>BOOT_STATUS_STATE_2</name></member>
    <member kind="define" refid="bootutil__priv_8h_1abe9c533f80400e40395861828db1c560"><name>BOOT_IMAGE_NUMBER</name></member>
    <member kind="define" refid="bootutil__priv_8h_1af500e92a4776274231bba1b521afc206"><name>BOOT_MAX_IMG_SECTORS</name></member>
    <member kind="define" refid="bootutil__priv_8h_1afa339351c25a9eec97ed2be63ab0c3e5"><name>BOOT_GET_SWAP_TYPE</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a941f29c968a9561592a414a6100a43a0"><name>BOOT_GET_IMAGE_NUM</name></member>
    <member kind="define" refid="bootutil__priv_8h_1add7ab512391a60e79f472673db2e9bea"><name>BOOT_SET_SWAP_INFO</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a96f5f8a81eb4c94662dd4b500d5f0225"><name>BOOT_STATUS_STATE_COUNT</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a8decacb414001c6e9dddd12a11d3d118"><name>BOOT_STATUS_MAX_ENTRIES</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a3c300b226911de7a9357b8d1954cf7e8"><name>BOOT_PRIMARY_SLOT</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a10fcb50e09177b190b3fcf0af7abc082"><name>BOOT_SECONDARY_SLOT</name></member>
    <member kind="define" refid="bootutil__priv_8h_1afae425f4e27243395fedaa1884acf01b"><name>BOOT_STATUS_SOURCE_NONE</name></member>
    <member kind="define" refid="bootutil__priv_8h_1ae12317ef6e1e43434f62cb5064536630"><name>BOOT_STATUS_SOURCE_SCRATCH</name></member>
    <member kind="define" refid="bootutil__priv_8h_1ae69f90b24c9cc6952a8b974f7dddafd4"><name>BOOT_STATUS_SOURCE_PRIMARY_SLOT</name></member>
    <member kind="define" refid="bootutil__priv_8h_1a3a916a1c0ccc53d12c28de3892af3897"><name>BOOT_MAGIC_SZ</name></member>
    <member kind="variable" refid="bootutil__priv_8h_1acdfb767080ec0285cb667a0fc89e30ee"><name>boot_img_magic</name></member>
    <member kind="function" refid="bootutil__priv_8h_1a5fda33c68dd89654cc914a7daa17c302"><name>_Static_assert</name></member>
    <member kind="function" refid="bootutil__priv_8h_1a68c39901d6db27c3981d866dfaf8a7aa"><name>boot_magic_compatible_check</name></member>
    <member kind="function" refid="bootutil__priv_8h_1abbbfa6f25801f52d7e70127c9554ecda"><name>boot_trailer_sz</name></member>
    <member kind="function" refid="bootutil__priv_8h_1ab879cef131c6c3914df7167e70885861"><name>boot_swap_info_off</name></member>
    <member kind="function" refid="bootutil__priv_8h_1a3cee50afc7101d318c343f1007493f3f"><name>boot_read_swap_state</name></member>
    <member kind="function" refid="bootutil__priv_8h_1a97c80d8f08c976b436c99f6a5364cafb"><name>boot_read_swap_state_by_id</name></member>
    <member kind="function" refid="bootutil__priv_8h_1ade84e4968c02b045e14eaf31498be559"><name>boot_write_magic</name></member>
    <member kind="function" refid="bootutil__priv_8h_1aac1a2d8248287afbffa3d21cf40fe9cb"><name>boot_write_image_ok</name></member>
    <member kind="function" refid="bootutil__priv_8h_1ab0bd231987de657e74a2a48e47dda39d"><name>boot_write_swap_info</name></member>
  </compound>
  <compound kind="file" refid="cy__flash__psoc6_8h"><name>cy_flash_psoc6.h</name>
    <member kind="typedef" refid="cy__flash__psoc6_8h_1a97ae9c9688da2790e5d5a8fa2751881e"><name>off_t</name></member>
    <member kind="function" refid="cy__flash__psoc6_8h_1a24004acc6a949578f39a9df0cc04ae77"><name>psoc6_flash_read</name></member>
    <member kind="function" refid="cy__flash__psoc6_8h_1ac70971f0395e9776edd05a7d9047570c"><name>psoc6_flash_write</name></member>
    <member kind="function" refid="cy__flash__psoc6_8h_1a95ebe2f150884a6b8899c5847fc9ce0b"><name>psoc6_flash_erase</name></member>
    <member kind="function" refid="cy__flash__psoc6_8h_1a5ad9d614bb8d2c493413f9f515854701"><name>psoc6_flash_write_hal</name></member>
  </compound>
  <compound kind="file" refid="cy__ota__api_8h"><name>cy_ota_api.h</name>
    <member kind="define" refid="group__group__ota__macros_1ga0fb96e428627464276d0ffef86672e9f"><name>CY_RSLT_MODULE_OTA_UPDATE_BASE</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3"><name>CY_RSLT_OTA_ERROR_BASE</name></member>
    <member kind="define" refid="group__group__ota__macros_1gaef318c4aef208a23957acdf5fa4263d7"><name>CY_RSLT_OTA_ERROR_UNSUPPORTED</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga2bfb7d49ce96e6cdbf937ec7cac7bf12"><name>CY_RSLT_OTA_ERROR_GENERAL</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga5f045ceaaa478a99bdc861922af87404"><name>CY_RSLT_OTA_ERROR_BADARG</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga602b9706eebb62da969ac0e33338bd97"><name>CY_RSLT_OTA_ERROR_OUT_OF_MEMORY</name></member>
    <member kind="define" refid="group__group__ota__macros_1gac4da551b2f4908dccaa40b6fe233d075"><name>CY_RSLT_OTA_ERROR_ALREADY_STARTED</name></member>
    <member kind="define" refid="group__group__ota__macros_1gacc1a9b1b27f1b1c2865a272023c412b5"><name>CY_RSLT_OTA_ERROR_MQTT_INIT</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga94a5fccb180521ba74ea27e377040df2"><name>CY_RSLT_OTA_ERROR_OPEN_STORAGE</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga0e94362bf172e8e01e851f18a41b6a5f"><name>CY_RSLT_OTA_ERROR_WRITE_STORAGE</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga074884bb0c5caffdd660e577af3248f7"><name>CY_RSLT_OTA_ERROR_CLOSE_STORAGE</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga519c506d59a1ab1e126d9dd4e8a5f054"><name>CY_RSLT_OTA_ERROR_CONNECT</name></member>
    <member kind="define" refid="group__group__ota__macros_1gaf1d3f3c05f8239bac90ff280f34441ad"><name>CY_RSLT_OTA_ERROR_DISCONNECT</name></member>
    <member kind="define" refid="group__group__ota__macros_1gaa8eec83bf1a9f12fbf3d0695fd927ecc"><name>CY_RSLT_OTA_ERROR_REDIRECT</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga1c25e49e9d4924010fa246372c35ecaf"><name>CY_RSLT_OTA_ERROR_SERVER_DROPPED</name></member>
    <member kind="define" refid="group__group__ota__macros_1gaf18f30c0c209b60012ed43e259c8299b"><name>CY_RSLT_OTA_ERROR_MQTT_SUBSCRIBE</name></member>
    <member kind="define" refid="group__group__ota__macros_1gae0ebc271ab58c1b95ca1cd3a5edf062b"><name>CY_RSLT_OTA_ERROR_MQTT_PUBLISH</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga72d33079184f1c4b38d59ca9ed2ba4cf"><name>CY_RSLT_OTA_ERROR_GET_JOB</name></member>
    <member kind="define" refid="group__group__ota__macros_1gafc81291ec2968b7a51973b609c761bd1"><name>CY_RSLT_OTA_ERROR_GET_DATA</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga996c7f0d10151efc3a1061d664d0ea8a"><name>CY_RSLT_OTA_ERROR_NOT_A_HEADER</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga90bf832c7c98a10c1ccf1ef867577ef8"><name>CY_RSLT_OTA_ERROR_NOT_A_JOB_DOC</name></member>
    <member kind="define" refid="group__group__ota__macros_1gab2357860328020f4b5bb96e4976e0503"><name>CY_RSLT_OTA_ERROR_MALFORMED_JOB_DOC</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga1d12c0a9bded83c9c7fc28de4cb26e8d"><name>CY_RSLT_OTA_ERROR_WRONG_BOARD</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga828f0bfe78f4314ed585f7989eb0e1e9"><name>CY_RSLT_OTA_ERROR_INVALID_VERSION</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga05a242705c79d0c758365caea4d5af97"><name>CY_RSLT_OTA_ERROR_VERIFY</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga0d9847708d8f998130ce2062ff4ee32f"><name>CY_RSLT_OTA_ERROR_SENDING_RESULT</name></member>
    <member kind="define" refid="group__group__ota__macros_1gabca120598cf31481bf9024330d4a26a6"><name>CY_RSLT_OTA_ERROR_APP_RETURNED_STOP</name></member>
    <member kind="define" refid="group__group__ota__macros_1gac1db017f6ca01321a0d0427a26e4eb5d"><name>CY_RSLT_OTA_INFO_BASE</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga442089df28bff420f4c6c807104c36cf"><name>CY_RSLT_OTA_EXITING</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga5855d176295aea93b87f4f5b701a2c3b"><name>CY_RSLT_OTA_ALREADY_CONNECTED</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga0ebe6e99ef7dd59f63021386bea90274"><name>CY_RSLT_OTA_CHANGING_SERVER</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga3b3610ed06decd49b59451ad71a2f9fb"><name>CY_RSLT_OTA_USE_JOB_FLOW</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga8ab9d0ba1ee8476721ca3c668418d605"><name>CY_RSLT_OTA_USE_DIRECT_FLOW</name></member>
    <member kind="define" refid="group__group__ota__macros_1gac0aa1a41fe2d75d14443050ecb235505"><name>CY_RSLT_OTA_NO_UPDATE_AVAILABLE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaa98a26ac37e321f0747f95198223e0db"><name>ADD_QUOTES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaf1d5499e79b04694c57bf2970c174e00"><name>EXPAND_AND_ADD_QUOTES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaa62bde5eb7581727adb8838fa28f4382"><name>CY_TARGET_BOARD_STRING</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gabf98602574aa1fdfb627d3c59f62b2ac"><name>CY_OTA_MQTT_FILENAME_BUFF_SIZE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga3cd431c05dec3136ee112edb90cce01f"><name>CY_OTA_MQTT_UNIQUE_TOPIC_BUFF_SIZE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaa987668674cd65e8d062f79c1486ec35"><name>CY_OTA_MQTT_MESSAGE_BUFF_SIZE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gad528bd1c223ff089ca1416f3530c6cd1"><name>CY_OTA_HTTP_FILENAME_SIZE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga1c07f2e527b6ee3653960f93cd90092d"><name>CY_OTA_MQTT_MAGIC</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga679088099bc7020dd2e19df18c507fc0"><name>NOTIFICATION_RESPONSE_NO_UPDATES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gab2b5ce5242ba117187728ac8d136b8e2"><name>NOTIFICATION_RESPONSE_UPDATES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gac89bcf834e94d6fc72c60928ace94e4b"><name>NOTIFICATION_RESPONSE_RESULT_RECEIVED</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gacc7dc593b056d4fa2eee44470959aca0"><name>CY_OTA_SUBSCRIBE_AVAIL_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga986c286579b648accf91d898722b9710"><name>SUBSCRIBER_PUBLISH_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga8dc51fb658999531cfe4ab9b9f554acd"><name>CY_OTA_INTERVAL_SECS_MIN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gadf3e83f72f338308efd080da234a6917"><name>CY_OTA_INTERVAL_SECS_MAX</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaa9fb26f92db493c4a169204ab3ee9f08"><name>CY_OTA_MESSAGE_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga1aa69132a89d0a238f76449491ba6016"><name>CY_OTA_MANUF_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga74d07f42ff3aae49a001029b5c57f828"><name>CY_OTA_MANUF_ID_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gadbb4a18cf414bd2c6af2b39a07c80fb0"><name>CY_OTA_PRODUCT_ID_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga5ee3924c6b01b26642e777e21c764496"><name>CY_OTA_SERIAL_NUMBER_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga041386d443aeabb6bbd6643c68f96adc"><name>CY_OTA_VERSION_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga75ddb6eca343477fecd15d4dcd0c70de"><name>CY_OTA_BOARD_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga7b427794d6dfe4dafb8c867afa550c6a"><name>CY_OTA_CONNECTION_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaeab0ff9a34f36cd59721a274a2f02492"><name>CY_OTA_BROKER_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gae6e7c8b2d26b0245a01a5f9e515a8910"><name>CY_OTA_PORT_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga86edcb103b12c0886fa5ddaab9efa6eb"><name>CY_OTA_SERVER_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga4590a9321e1312bff6010b2aebd8c4a9"><name>CY_OTA_FILE_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaedeb636239077a65833fc15c35cced00"><name>CY_OTA_UNIQUE_TOPIC_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga039e8c4e1bf2b1e61ff054b1a10bd896"><name>CY_OTA_MQTT_STRING</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaca09f1bb148c6b924e508ebf4c62a67b"><name>CY_OTA_HTTP_STRING</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga2b765d95dd0c6557767c2cdee4eecb1e"><name>CY_OTA_HTTPS_STRING</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gafeabf7547c3bf41d6eac5c0418460d5f"><name>CY_OTA_MESSAGE_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga8a9f71090af6fb179057c25768989188"><name>CY_OTA_JOB_MANUF_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gad779217a01c618b3b2a4850b948af694"><name>CY_OTA_JOB_MANUF_ID_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga13aa56e1811d8af9cf693e613658859c"><name>CY_OTA_JOB_PRODUCT_ID_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga0dcb09fc965d0229169fbb92805eac1c"><name>CY_OTA_JOB_SERIAL_NUMBER_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gab1f5c6dc00a067408c323e98c04b051a"><name>CY_OTA_JOB_VERSION_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gade68cd450f8e703a3b76f41ff71660da"><name>CY_OTA_JOB_BOARD_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga11742662e966c045f986746b17ed9e43"><name>CY_OTA_JOB_URL_BROKER_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gad807b28a374507cfa1c43ce09baac07d"><name>CY_OTA_MQTT_BROKER_PORT</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga68b62710186e7c226662747716f47134"><name>CY_OTA_MQTT_BROKER_PORT_TLS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gae1abbd901985d3c62f9ab3ac4ba9e735"><name>CY_OTA_MQTT_BROKER_PORT_TLS_CERT</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaf8d169b0a2f22b1f638bee800d66967c"><name>CY_OTA_HTTP_SERVER_PORT</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga454f3e795c36d44efd7e4a9fac916dd3"><name>CY_OTA_HTTP_SERVER_PORT_TLS</name></member>
    <member kind="enum" refid="group__group__ota__typedefs_1gaa14519d9111acc0f50e9fd5307283766"><name>cy_ota_update_flow_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggaa14519d9111acc0f50e9fd5307283766aa4d7311e721aa652fb94feda759e316c"><name>CY_OTA_JOB_FLOW</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggaa14519d9111acc0f50e9fd5307283766a55f4c6628f38214c90e8b05fd8e8db72"><name>CY_OTA_DIRECT_FLOW</name></member>
    <member kind="enum" refid="group__group__ota__typedefs_1gabc03646427dec963bef37cb5dbb550fa"><name>cy_ota_connection_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faa141f64e2edc3273de1e0374dc8e681ca"><name>CY_OTA_CONNECTION_UNKNOWN</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faa7955097dd62d0b81cb447d287d12bd98"><name>CY_OTA_CONNECTION_MQTT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faafb7b34f95f26234a0036b611205f904a"><name>CY_OTA_CONNECTION_HTTP</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faa680a4b7838e45eff7b93f98dde4af706"><name>CY_OTA_CONNECTION_HTTPS</name></member>
    <member kind="enum" refid="group__group__ota__typedefs_1ga6424608a6e19ecd99e52f4013354fa82"><name>cy_ota_mqtt_session_type_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga6424608a6e19ecd99e52f4013354fa82a63a3e6f75f26a0026b89674544f8c162"><name>CY_OTA_MQTT_SESSION_CLEAN</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga6424608a6e19ecd99e52f4013354fa82a4c63654c806aac390a44fa5708f9838a"><name>CY_OTA_MQTT_SESSION_RESTART</name></member>
    <member kind="enum" refid="group__group__ota__typedefs_1gad852fa8cdb0431df709ccf12bb37cd60"><name>cy_ota_cb_reason_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60a7d2f0693d44fd480e23c7de3c2f68d10"><name>CY_OTA_REASON_STATE_CHANGE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60a98710a7a1d2678890cda211ab2c89689"><name>CY_OTA_REASON_SUCCESS</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60ad2bf02c326de5c6c95551123155e14bd"><name>CY_OTA_REASON_FAILURE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60a6f1fe12d222a4fcb6aef59d045cc40af"><name>CY_OTA_LAST_REASON</name></member>
    <member kind="enum" refid="group__group__ota__typedefs_1gab1539ebc23219f1ca64318286e9d375f"><name>cy_ota_agent_state_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fae28d1cd8c5a985bb343a0828c234fdd0"><name>CY_OTA_STATE_NOT_INITIALIZED</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fab4dff9b84c5eafa48e4d3eaff2302ba5"><name>CY_OTA_STATE_EXITING</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa4980922c9b3cf3c4e1269324d4563d78"><name>CY_OTA_STATE_INITIALIZING</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faa1a4033af52d14af2873066da8f89098"><name>CY_OTA_STATE_AGENT_STARTED</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faf2dbf8dcfb8d9329549fa539970d9e54"><name>CY_OTA_STATE_AGENT_WAITING</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa4b481536d237fc9672cff019e5a24392"><name>CY_OTA_STATE_STORAGE_OPEN</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faf8b6a7adfb042c0b4379db005eb03fcb"><name>CY_OTA_STATE_STORAGE_WRITE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa8177ec48fc37847b69d33f90a3b4333b"><name>CY_OTA_STATE_STORAGE_CLOSE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fad8e99bc84c807fa17f23b119900d4c1a"><name>CY_OTA_STATE_START_UPDATE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fafdf0e2e6deb544bc5bdc5dec53b0609f"><name>CY_OTA_STATE_JOB_CONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa53922a893f09e01688b27c5d225e27a5"><name>CY_OTA_STATE_JOB_DOWNLOAD</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa5f9288e902dc5473fd3e681eb2c43012"><name>CY_OTA_STATE_JOB_DISCONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa1a5597cb918e3a60890c003ca2b35926"><name>CY_OTA_STATE_JOB_PARSE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa7d1ad039e8599533b1bd50c4068a41da"><name>CY_OTA_STATE_JOB_REDIRECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fab8c745b4b9dd7c582c1cc6735ad1401e"><name>CY_OTA_STATE_DATA_CONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa2821523d7c323f672da8b19b45d5d935"><name>CY_OTA_STATE_DATA_DOWNLOAD</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa1957660855d0051d85c9c6bc52bee808"><name>CY_OTA_STATE_DATA_DISCONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa64f1d70db6ac1c7b6053aa72a829cfd7"><name>CY_OTA_STATE_VERIFY</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa155daa564765a5efdb0f5e647832c25b"><name>CY_OTA_STATE_RESULT_REDIRECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa32bb3fbef7ed0e85e1130a8f8c206ac2"><name>CY_OTA_STATE_RESULT_CONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa38c70df41f2fab401d96e10bc21cb395"><name>CY_OTA_STATE_RESULT_SEND</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa559e81062c0a2f47f03dcbffefbc7a75"><name>CY_OTA_STATE_RESULT_RESPONSE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa7608a11942fc4b42c3487335639fd719"><name>CY_OTA_STATE_RESULT_DISCONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa1a0a36230c7f92d5b5af2394e14fa6a1"><name>CY_OTA_STATE_OTA_COMPLETE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faabbd5e53bc741afd226adfd143dde572"><name>CY_OTA_NUM_STATES</name></member>
    <member kind="enum" refid="group__group__ota__typedefs_1ga83280df2ca46db528cc12901d949fd63"><name>cy_ota_callback_results_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63a9b6b16fa9fcb36760749ced06ea21513"><name>CY_OTA_CB_RSLT_OTA_CONTINUE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63ab33edc4fae91e1c99f93933fc3a06bd5"><name>CY_OTA_CB_RSLT_OTA_STOP</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63a874db6e6b0afe4654eca56b1e66fe419"><name>CY_OTA_CB_RSLT_APP_SUCCESS</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63acd8fc21808d384ae3609318297c3d542"><name>CY_OTA_CB_RSLT_APP_FAILED</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63aa831afb765223f42c44dd9f29980bad4"><name>CY_OTA_CB_NUM_RESULTS</name></member>
    <member kind="typedef" refid="group__group__ota__typedefs_1ga50b8b1ec191a1d5f9a8fcd3472811694"><name>cy_ota_context_ptr</name></member>
    <member kind="typedef" refid="group__group__ota__callback_1gada4cd31993f1831e886a4beac9039220"><name>cy_ota_callback_t</name></member>
    <member kind="function" refid="group__group__ota__functions_1ga84d744546862b858ddc65334be5b63c3"><name>cy_ota_agent_start</name></member>
    <member kind="function" refid="group__group__ota__functions_1ga14b8129ff45b6af3bd71235676a220be"><name>cy_ota_agent_stop</name></member>
    <member kind="function" refid="group__group__ota__functions_1ga749e2780daeb68e40d47ca8c90a6922c"><name>cy_ota_get_update_now</name></member>
    <member kind="function" refid="group__group__ota__functions_1gaedc8ac983fc4781d0a4ca3e5dc113ec5"><name>cy_ota_validated</name></member>
    <member kind="function" refid="group__group__ota__functions_1gacc6737f1ddf83bc6e8918bcc16695b30"><name>cy_ota_get_state</name></member>
    <member kind="function" refid="group__group__ota__functions_1ga7149423078fe0b9d401bddc1d0e808d1"><name>cy_ota_get_last_error</name></member>
    <member kind="function" refid="group__group__ota__functions_1gaffc74d5bb4dd74ede1031222b9efcd9b"><name>cy_ota_get_error_string</name></member>
    <member kind="function" refid="group__group__ota__functions_1gafcd8ac0ada4557076da8070d11101f95"><name>cy_ota_get_state_string</name></member>
    <member kind="function" refid="group__group__ota__functions_1ga1f3276614aeca5a8d7c176f171024d66"><name>cy_ota_get_callback_reason_string</name></member>
  </compound>
  <compound kind="file" refid="cy__ota__config_8h"><name>cy_ota_config.h</name>
    <member kind="define" refid="group__group__ota__config_1gab585a7541d7bb222fbff7719555f68b0"><name>CY_OTA_INITIAL_CHECK_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga9c17fd8b3a98ec9f3f21ba475418227a"><name>CY_OTA_NEXT_CHECK_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga5f7048d0e07022decfaa5cd9afcfa2d1"><name>CY_OTA_RETRY_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga857fb18dbbc8e462f9eefa30d57afefb"><name>CY_OTA_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga28238863ca54b663f9faea4823253a42"><name>CY_OTA_PACKET_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga5ac589095a8184084fc8ee3cf86f6d3f"><name>CY_OTA_JOB_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1gac601cbb956da2706d87a25219fd38b3d"><name>CY_OTA_DATA_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1gad937d8f959bccec87b87f11a9315ae3a"><name>CY_OTA_RETRIES</name></member>
    <member kind="define" refid="group__group__ota__config_1gaf05c3cff9a4bcdf5d63e5f5d0962f25a"><name>CY_OTA_CONNECT_RETRIES</name></member>
    <member kind="define" refid="group__group__ota__config_1ga63713f2122581c2bee97ebd3dbf1815c"><name>CY_OTA_MAX_DOWNLOAD_TRIES</name></member>
    <member kind="define" refid="group__group__ota__config_1gaaa47c22f94edbcb24052a7551f6a2f36"><name>PUBLISHER_LISTEN_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__config_1gab3832b31bfefc10020675d714665cd0d"><name>COMPANY_TOPIC_PREPEND</name></member>
    <member kind="define" refid="group__group__ota__config_1ga1a071cfd0e7d56ca360196cdc8af9356"><name>PUBLISHER_DIRECT_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__config_1ga6a15cee55ef70fdacd2575f7742a1fa9"><name>CY_OTA_RESULT_SUCCESS</name></member>
    <member kind="define" refid="group__group__ota__config_1gaeafc16eeca288eb87fe3183343c9ec0d"><name>CY_OTA_RESULT_FAILURE</name></member>
    <member kind="define" refid="group__group__ota__config_1ga0e99cf1a339baebf4f71fe536b2967ea"><name>CY_OTA_SUBSCRIBE_UPDATES_AVAIL</name></member>
    <member kind="define" refid="group__group__ota__config_1ga66bd4606bfc0f6e85c2172603f9c62a0"><name>CY_OTA_DOWNLOAD_REQUEST</name></member>
    <member kind="define" refid="group__group__ota__config_1ga2d88b9b738dc724e8fb29883e04dcc23"><name>CY_OTA_DOWNLOAD_DIRECT_REQUEST</name></member>
    <member kind="define" refid="group__group__ota__config_1ga1eace95e0ec47d50df1e2810f4751173"><name>CY_OTA_MQTT_RESULT_JSON</name></member>
    <member kind="define" refid="group__group__ota__config_1gaa642af38818fce01f3a9c6960bc6d64d"><name>CY_OTA_HTTP_RESULT_JSON</name></member>
    <member kind="define" refid="group__group__ota__config_1gabdddb494aa853699bec01c254bd307dd"><name>CY_OTA_HTTP_GET_TEMPLATE</name></member>
    <member kind="define" refid="group__group__ota__config_1gac14bf9939b2bd5d0b62817a87b4b30fa"><name>CY_OTA_HTTP_POST_TEMPLATE</name></member>
    <member kind="define" refid="group__group__ota__config_1ga448aa081432d624219ebedc2f28f5841"><name>CY_OTA_MQTT_KEEP_ALIVE_SECONDS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga3b4d0aa969fb1ec3adefbaec643f78d2"><name>CY_OTA_MQTT_MAX_TOPICS</name></member>
    <member kind="define" refid="group__group__ota__config_1gaacf195683127ce1df77b07cf017990a4"><name>CY_OTA_MQTT_TOPIC_PREFIX</name></member>
    <member kind="define" refid="group__group__ota__config_1ga44b8c2bc6f4bb63c80b2939969cdb2ff"><name>CY_OTA_MQTT_CLIENT_ID_PREFIX</name></member>
  </compound>
  <compound kind="file" refid="cy__ota__defaults_8h"><name>cy_ota_defaults.h</name>
    <member kind="define" refid="group__group__ota__typedefs_1gab585a7541d7bb222fbff7719555f68b0"><name>CY_OTA_INITIAL_CHECK_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga9c17fd8b3a98ec9f3f21ba475418227a"><name>CY_OTA_NEXT_CHECK_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga5f7048d0e07022decfaa5cd9afcfa2d1"><name>CY_OTA_RETRY_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga857fb18dbbc8e462f9eefa30d57afefb"><name>CY_OTA_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga28238863ca54b663f9faea4823253a42"><name>CY_OTA_PACKET_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga5ac589095a8184084fc8ee3cf86f6d3f"><name>CY_OTA_JOB_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gac601cbb956da2706d87a25219fd38b3d"><name>CY_OTA_DATA_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gad937d8f959bccec87b87f11a9315ae3a"><name>CY_OTA_RETRIES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaf05c3cff9a4bcdf5d63e5f5d0962f25a"><name>CY_OTA_CONNECT_RETRIES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga63713f2122581c2bee97ebd3dbf1815c"><name>CY_OTA_MAX_DOWNLOAD_TRIES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaaa47c22f94edbcb24052a7551f6a2f36"><name>PUBLISHER_LISTEN_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gab3832b31bfefc10020675d714665cd0d"><name>COMPANY_TOPIC_PREPEND</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga1a071cfd0e7d56ca360196cdc8af9356"><name>PUBLISHER_DIRECT_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga6a15cee55ef70fdacd2575f7742a1fa9"><name>CY_OTA_RESULT_SUCCESS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaeafc16eeca288eb87fe3183343c9ec0d"><name>CY_OTA_RESULT_FAILURE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga0e99cf1a339baebf4f71fe536b2967ea"><name>CY_OTA_SUBSCRIBE_UPDATES_AVAIL</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga66bd4606bfc0f6e85c2172603f9c62a0"><name>CY_OTA_DOWNLOAD_REQUEST</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga2d88b9b738dc724e8fb29883e04dcc23"><name>CY_OTA_DOWNLOAD_DIRECT_REQUEST</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga1eace95e0ec47d50df1e2810f4751173"><name>CY_OTA_MQTT_RESULT_JSON</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaa642af38818fce01f3a9c6960bc6d64d"><name>CY_OTA_HTTP_RESULT_JSON</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gabdddb494aa853699bec01c254bd307dd"><name>CY_OTA_HTTP_GET_TEMPLATE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gac14bf9939b2bd5d0b62817a87b4b30fa"><name>CY_OTA_HTTP_POST_TEMPLATE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga448aa081432d624219ebedc2f28f5841"><name>CY_OTA_MQTT_KEEP_ALIVE_SECONDS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga3b4d0aa969fb1ec3adefbaec643f78d2"><name>CY_OTA_MQTT_MAX_TOPICS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaacf195683127ce1df77b07cf017990a4"><name>CY_OTA_MQTT_TOPIC_PREFIX</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga44b8c2bc6f4bb63c80b2939969cdb2ff"><name>CY_OTA_MQTT_CLIENT_ID_PREFIX</name></member>
  </compound>
  <compound kind="file" refid="cy__smif__psoc6_8h"><name>cy_smif_psoc6.h</name>
    <member kind="typedef" refid="cy__smif__psoc6_8h_1a97ae9c9688da2790e5d5a8fa2751881e"><name>off_t</name></member>
    <member kind="function" refid="cy__smif__psoc6_8h_1a63698512b17762d163a294552a6b5d07"><name>psoc6_smif_read</name></member>
    <member kind="function" refid="cy__smif__psoc6_8h_1a36f5163ddb55f209426be97212cdd90d"><name>psoc6_smif_write</name></member>
    <member kind="function" refid="cy__smif__psoc6_8h_1a627f6d35a496d5bbb00e864f0c2b5477"><name>psoc6_smif_erase</name></member>
    <member kind="function" refid="cy__smif__psoc6_8h_1a4cadbfbf83e342aeaa103aa7ab323b96"><name>psoc6_qspi_init</name></member>
    <member kind="function" refid="cy__smif__psoc6_8h_1a070a82a4d055f435006e7f6daf983dca"><name>psoc6_smif_get_prog_size</name></member>
  </compound>
  <compound kind="file" refid="flash__map__backend_8h"><name>flash_map_backend.h</name>
    <member kind="define" refid="flash__map__backend_8h_1abe2bbb76267821057c8a78f9de62c161"><name>FLASH_DEVICE_INDEX_MASK</name></member>
    <member kind="define" refid="flash__map__backend_8h_1a503f4823c634bccad99a43c34edb5dab"><name>FLASH_DEVICE_GET_EXT_INDEX</name></member>
    <member kind="define" refid="flash__map__backend_8h_1a0ee51c5e8e7817c660a4aa3ecde3d336"><name>FLASH_DEVICE_EXTERNAL_FLAG</name></member>
    <member kind="define" refid="flash__map__backend_8h_1aca7602fed2a8643623a89c9593759b96"><name>FLASH_DEVICE_INTERNAL_FLASH</name></member>
    <member kind="define" refid="flash__map__backend_8h_1acee76e52e126c46793140ddc80656169"><name>FLASH_DEVICE_EXTERNAL_FLASH</name></member>
    <member kind="define" refid="flash__map__backend_8h_1aeacd94d61d0b2627301b687a9537da28"><name>CY_BOOT_EXTERNAL_DEVICE_INDEX</name></member>
    <member kind="function" refid="flash__map__backend_8h_1ab66041591f8ceefbd4464f1445c2bbfa"><name>flash_area_open</name></member>
    <member kind="function" refid="flash__map__backend_8h_1a4de00f43876075b7a52c3095e2428504"><name>flash_area_close</name></member>
    <member kind="function" refid="flash__map__backend_8h_1ae5a3579793e3cda7ece110714931594a"><name>flash_area_read</name></member>
    <member kind="function" refid="flash__map__backend_8h_1ad7daab5dcb122b8cdf50b317f8cf6214"><name>flash_area_write</name></member>
    <member kind="function" refid="flash__map__backend_8h_1adf2c97360fea025e25f4446ee11b44f8"><name>flash_area_erase</name></member>
    <member kind="function" refid="flash__map__backend_8h_1a55e47cd42c75b21e19716a2e94c9a94d"><name>flash_area_align</name></member>
    <member kind="function" refid="flash__map__backend_8h_1ace9eb5a8253335264f5fa9620008d10b"><name>flash_area_erased_val</name></member>
    <member kind="function" refid="flash__map__backend_8h_1a61f2c4d83698d32aa971fccdbb6f777c"><name>flash_area_read_is_empty</name></member>
  </compound>
  <compound kind="file" refid="ignore_8h"><name>ignore.h</name>
    <member kind="define" refid="ignore_8h_1a58035b972bccf22637817e1e28289eab"><name>IGN_1</name></member>
    <member kind="define" refid="ignore_8h_1a070ddf774ae6a77994ea0020c98baaa9"><name>IGN_2</name></member>
    <member kind="define" refid="ignore_8h_1ad01395f868c581292b0a4926226475a0"><name>IGN_3</name></member>
    <member kind="define" refid="ignore_8h_1a24839230f760f5dd040b4c494aa1028b"><name>IGN_4</name></member>
    <member kind="define" refid="ignore_8h_1a6207b34198d60cb82067b6904864ef3a"><name>IGN_5</name></member>
    <member kind="define" refid="ignore_8h_1a8eb67e3c93c9783c4cf2af3948d76bc0"><name>IGN_6</name></member>
    <member kind="define" refid="ignore_8h_1acf771643205757da02e85e14da99fa67"><name>IGN_7</name></member>
    <member kind="define" refid="ignore_8h_1af12f803a5fbac5d57791517bbac2ff96"><name>IGN_8</name></member>
    <member kind="define" refid="ignore_8h_1a2edd4fa350e539bbfae8ceb000a7aa67"><name>IGN_9</name></member>
    <member kind="define" refid="ignore_8h_1a052dc54867d1cc6a5529a4d9fb97a877"><name>IGN_10</name></member>
    <member kind="define" refid="ignore_8h_1a00b6e07d8011c7163ae956cb32328522"><name>IGN_11</name></member>
    <member kind="define" refid="ignore_8h_1aa0b4d97d0a7bc2adb264ba299d7ac14c"><name>IGN_12</name></member>
    <member kind="define" refid="ignore_8h_1a05e3131df482cd0682a098c1eff59793"><name>IGN_13</name></member>
    <member kind="define" refid="ignore_8h_1a0439074a47d2df67322096737c32b2f1"><name>IGN_14</name></member>
    <member kind="define" refid="ignore_8h_1ac3af1113a28098e148353f36aa35f2e4"><name>IGN_15</name></member>
    <member kind="define" refid="ignore_8h_1a4045a3ca9acd445d87985aae60c4b546"><name>IGN_16</name></member>
    <member kind="define" refid="ignore_8h_1ad6ca0ca8fc11d821e2e34443eb1580ab"><name>IGN_17</name></member>
    <member kind="define" refid="ignore_8h_1ae0cc830995f5e8dfbae5de977786cb2b"><name>IGN_18</name></member>
    <member kind="define" refid="ignore_8h_1a080e572e053e0352e8bc485df5066885"><name>IGN_19</name></member>
    <member kind="define" refid="ignore_8h_1aa42cb732dfffd6caac178e7756023ca8"><name>IGN_20</name></member>
    <member kind="define" refid="ignore_8h_1a134bfbf73d87f8a73c3fcf5799dc0cf6"><name>GET_MACRO</name></member>
    <member kind="define" refid="ignore_8h_1a3af8fb34cb5ff338c261aa0b23ccfc40"><name>IGNORE</name></member>
  </compound>
  <compound kind="file" refid="mcuboot__config_8h"><name>mcuboot_config.h</name>
    <member kind="define" refid="mcuboot__config_8h_1a17728d72470eef5d5841d06efc10e228"><name>MCUBOOT_MAX_IMG_SECTORS</name></member>
    <member kind="define" refid="mcuboot__config_8h_1a020421d1535d68c37f6487cca899c164"><name>MCUBOOT_IMAGE_NUMBER</name></member>
  </compound>
  <compound kind="file" refid="mcuboot__logging_8h"><name>mcuboot_logging.h</name>
    <member kind="define" refid="mcuboot__logging_8h_1abde51419fd9ce2928b6cba955756b50e"><name>MCUBOOT_LOG_LEVEL_OFF</name></member>
    <member kind="define" refid="mcuboot__logging_8h_1a3d6601b95a230edfa3ccf33d1f6fde52"><name>MCUBOOT_LOG_LEVEL_ERROR</name></member>
    <member kind="define" refid="mcuboot__logging_8h_1a42e9dcaafb6c14de98692547eb13b5ee"><name>MCUBOOT_LOG_LEVEL_WARNING</name></member>
    <member kind="define" refid="mcuboot__logging_8h_1a0f294d2e3c54efb7e602c115955cd30f"><name>MCUBOOT_LOG_LEVEL_INFO</name></member>
    <member kind="define" refid="mcuboot__logging_8h_1a34b49f029e2a52b71a69ccf1274e6838"><name>MCUBOOT_LOG_LEVEL_DEBUG</name></member>
    <member kind="define" refid="mcuboot__logging_8h_1a142a0788fec6487cefaff127fd4f702c"><name>MCUBOOT_LOG_LEVEL</name></member>
    <member kind="define" refid="mcuboot__logging_8h_1a8d28716f1acf2ffb0c8f07ca67055d23"><name>MCUBOOT_LOG_MODULE_DECLARE</name></member>
    <member kind="define" refid="mcuboot__logging_8h_1ad4a949e873147ca8c8ea5f9936d7bea6"><name>sim_log_enabled</name></member>
    <member kind="define" refid="mcuboot__logging_8h_1aff31e49b3a549edb34aaad24f90e66f9"><name>MCUBOOT_LOG_ERR</name></member>
    <member kind="define" refid="mcuboot__logging_8h_1a8d0209c611a0e88fd7b9a4bbb324d814"><name>MCUBOOT_LOG_WRN</name></member>
    <member kind="define" refid="mcuboot__logging_8h_1aacbff90c9c4fdf5d28fb97c22722e149"><name>MCUBOOT_LOG_INF</name></member>
    <member kind="define" refid="mcuboot__logging_8h_1a5aec84efbf67d2e9e3a195022f2c8ad1"><name>MCUBOOT_LOG_DBG</name></member>
  </compound>
  <compound kind="file" refid="mem__config__sfdp_8h"><name>mem_config_sfdp.h</name>
    <member kind="define" refid="mem__config__sfdp_8h_1a7aac570e091c624c4c09bf29f5e1b925"><name>CY_SMIF_CFG_TOOL_VERSION</name></member>
    <member kind="define" refid="mem__config__sfdp_8h_1a6b7e10d489e398262805b9ac33b33204"><name>CY_SMIF_DRV_VERSION_REQUIRED</name></member>
    <member kind="define" refid="mem__config__sfdp_8h_1af838937d00aec72f26f5048cb99fcd51"><name>CY_SMIF_DRV_VERSION</name></member>
    <member kind="define" refid="mem__config__sfdp_8h_1a2689cf5c71813f50cfee686a12e3e2d9"><name>CY_SMIF_DEVICE_NUM</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1ad9610eb266577fbb7e50bad4a5bcfbac"><name>Auto_detect_SFDP_SlaveSlot_0_readCmd</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1aa16d52de6656fb08b3e03735deb29bd8"><name>Auto_detect_SFDP_SlaveSlot_0_writeEnCmd</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1a2586b20ff3a392ab618a27fb79a858ac"><name>Auto_detect_SFDP_SlaveSlot_0_writeDisCmd</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1ac7ac2f9c74d9411ba35628d9b2040b2a"><name>Auto_detect_SFDP_SlaveSlot_0_eraseCmd</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1a6cbe2389148d7ceeb3093091ef05ceda"><name>Auto_detect_SFDP_SlaveSlot_0_chipEraseCmd</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1ae98eb58825a72ca65423cda271a0aebc"><name>Auto_detect_SFDP_SlaveSlot_0_programCmd</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1a9d27c64093e1c0444fb13da20ab240da"><name>Auto_detect_SFDP_SlaveSlot_0_readStsRegQeCmd</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1abe284583d9bddc051556ed00adf69864"><name>Auto_detect_SFDP_SlaveSlot_0_readStsRegWipCmd</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1a5d9f01c2f65c304123575b4a4b5ba90c"><name>Auto_detect_SFDP_SlaveSlot_0_writeStsRegQeCmd</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1a299dc8f9babd6862ee36526c3b0e3067"><name>Auto_detect_SFDP_SlaveSlot_0_readSfdpCmd</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1aa3ef0871c232d2a4a4afe1af3c1fa94f"><name>deviceCfg_Auto_detect_SFDP_SlaveSlot_0</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1a96859819e0bb283d325e1640fd55956c"><name>Auto_detect_SFDP_SlaveSlot_0</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1a9e88740bafecabda981b9490e9702580"><name>smifMemConfigsSfdp</name></member>
    <member kind="variable" refid="mem__config__sfdp_8h_1ab12875eb6a015687a36e333564d19c11"><name>smifBlockConfigSfdp</name></member>
  </compound>
  <compound kind="file" refid="sysflash_8h"><name>sysflash.h</name>
    <member kind="define" refid="sysflash_8h_1aca7602fed2a8643623a89c9593759b96"><name>FLASH_DEVICE_INTERNAL_FLASH</name></member>
    <member kind="define" refid="sysflash_8h_1a8c992bd8c2baa52ae0ea3926dc9ac6d6"><name>FLASH_AREA_BOOTLOADER</name></member>
    <member kind="define" refid="sysflash_8h_1aa2f05d4eb8d1d19694caf78a26bccad8"><name>FLASH_AREA_IMAGE_0</name></member>
    <member kind="define" refid="sysflash_8h_1a1a973e683138689f41458c0d235cdd36"><name>FLASH_AREA_IMAGE_1</name></member>
    <member kind="define" refid="sysflash_8h_1af4279d29e49e0c26d6124c71ae9138d0"><name>FLASH_AREA_IMAGE_SCRATCH</name></member>
    <member kind="define" refid="sysflash_8h_1a0e8f982606423b51657f8528b72a7fe4"><name>FLASH_AREA_IMAGE_2</name></member>
    <member kind="define" refid="sysflash_8h_1ace364598de109ab85bacaa9e8d59db48"><name>FLASH_AREA_IMAGE_3</name></member>
    <member kind="define" refid="sysflash_8h_1a27f3e193cef397fc1f7b255f2b56c70f"><name>CY_SMIF_BASE_MEM_OFFSET</name></member>
    <member kind="define" refid="sysflash_8h_1a06ad3a148d187208a996333db3d47861"><name>CY_FLASH_ALIGN</name></member>
    <member kind="define" refid="sysflash_8h_1a0c899367f4879591118f13d1623d91e6"><name>CY_FLASH_DEVICE_BASE</name></member>
    <member kind="define" refid="sysflash_8h_1a0cfe393c1c7f945b7a49d4054860baca"><name>CY_BOOT_SCRATCH_SIZE</name></member>
    <member kind="define" refid="sysflash_8h_1a99366af3034cc0618a61462a27ba481c"><name>CY_BOOT_BOOTLOADER_SIZE</name></member>
    <member kind="define" refid="sysflash_8h_1a82cf1a924f0fc881d2c51cf54d5b39a0"><name>CY_BOOT_PRIMARY_1_SIZE</name></member>
    <member kind="define" refid="sysflash_8h_1adea4a9e90fd985582a903cd1b2d2d284"><name>CY_BOOT_SECONDARY_1_SIZE</name></member>
  </compound>
  <compound kind="group" refid="group__group__cy__ota"><name>group_cy_ota</name>
  </compound>
  <compound kind="group" refid="group__group__ota__config"><name>group_ota_config</name>
    <member kind="define" refid="group__group__ota__config_1gab585a7541d7bb222fbff7719555f68b0"><name>CY_OTA_INITIAL_CHECK_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga9c17fd8b3a98ec9f3f21ba475418227a"><name>CY_OTA_NEXT_CHECK_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga5f7048d0e07022decfaa5cd9afcfa2d1"><name>CY_OTA_RETRY_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga857fb18dbbc8e462f9eefa30d57afefb"><name>CY_OTA_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga28238863ca54b663f9faea4823253a42"><name>CY_OTA_PACKET_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga5ac589095a8184084fc8ee3cf86f6d3f"><name>CY_OTA_JOB_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1gac601cbb956da2706d87a25219fd38b3d"><name>CY_OTA_DATA_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__config_1gad937d8f959bccec87b87f11a9315ae3a"><name>CY_OTA_RETRIES</name></member>
    <member kind="define" refid="group__group__ota__config_1gaf05c3cff9a4bcdf5d63e5f5d0962f25a"><name>CY_OTA_CONNECT_RETRIES</name></member>
    <member kind="define" refid="group__group__ota__config_1ga63713f2122581c2bee97ebd3dbf1815c"><name>CY_OTA_MAX_DOWNLOAD_TRIES</name></member>
    <member kind="define" refid="group__group__ota__config_1gaaa47c22f94edbcb24052a7551f6a2f36"><name>PUBLISHER_LISTEN_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__config_1gab3832b31bfefc10020675d714665cd0d"><name>COMPANY_TOPIC_PREPEND</name></member>
    <member kind="define" refid="group__group__ota__config_1ga1a071cfd0e7d56ca360196cdc8af9356"><name>PUBLISHER_DIRECT_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__config_1ga6a15cee55ef70fdacd2575f7742a1fa9"><name>CY_OTA_RESULT_SUCCESS</name></member>
    <member kind="define" refid="group__group__ota__config_1gaeafc16eeca288eb87fe3183343c9ec0d"><name>CY_OTA_RESULT_FAILURE</name></member>
    <member kind="define" refid="group__group__ota__config_1ga0e99cf1a339baebf4f71fe536b2967ea"><name>CY_OTA_SUBSCRIBE_UPDATES_AVAIL</name></member>
    <member kind="define" refid="group__group__ota__config_1ga66bd4606bfc0f6e85c2172603f9c62a0"><name>CY_OTA_DOWNLOAD_REQUEST</name></member>
    <member kind="define" refid="group__group__ota__config_1ga2d88b9b738dc724e8fb29883e04dcc23"><name>CY_OTA_DOWNLOAD_DIRECT_REQUEST</name></member>
    <member kind="define" refid="group__group__ota__config_1ga1eace95e0ec47d50df1e2810f4751173"><name>CY_OTA_MQTT_RESULT_JSON</name></member>
    <member kind="define" refid="group__group__ota__config_1gaa642af38818fce01f3a9c6960bc6d64d"><name>CY_OTA_HTTP_RESULT_JSON</name></member>
    <member kind="define" refid="group__group__ota__config_1gabdddb494aa853699bec01c254bd307dd"><name>CY_OTA_HTTP_GET_TEMPLATE</name></member>
    <member kind="define" refid="group__group__ota__config_1gac14bf9939b2bd5d0b62817a87b4b30fa"><name>CY_OTA_HTTP_POST_TEMPLATE</name></member>
    <member kind="define" refid="group__group__ota__config_1ga448aa081432d624219ebedc2f28f5841"><name>CY_OTA_MQTT_KEEP_ALIVE_SECONDS</name></member>
    <member kind="define" refid="group__group__ota__config_1ga3b4d0aa969fb1ec3adefbaec643f78d2"><name>CY_OTA_MQTT_MAX_TOPICS</name></member>
    <member kind="define" refid="group__group__ota__config_1gaacf195683127ce1df77b07cf017990a4"><name>CY_OTA_MQTT_TOPIC_PREFIX</name></member>
    <member kind="define" refid="group__group__ota__config_1ga44b8c2bc6f4bb63c80b2939969cdb2ff"><name>CY_OTA_MQTT_CLIENT_ID_PREFIX</name></member>
  </compound>
  <compound kind="group" refid="group__group__ota__macros"><name>group_ota_macros</name>
    <member kind="define" refid="group__group__ota__macros_1ga0fb96e428627464276d0ffef86672e9f"><name>CY_RSLT_MODULE_OTA_UPDATE_BASE</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga213f9eee8474306ba3a3ff7415ee26d3"><name>CY_RSLT_OTA_ERROR_BASE</name></member>
    <member kind="define" refid="group__group__ota__macros_1gaef318c4aef208a23957acdf5fa4263d7"><name>CY_RSLT_OTA_ERROR_UNSUPPORTED</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga2bfb7d49ce96e6cdbf937ec7cac7bf12"><name>CY_RSLT_OTA_ERROR_GENERAL</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga5f045ceaaa478a99bdc861922af87404"><name>CY_RSLT_OTA_ERROR_BADARG</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga602b9706eebb62da969ac0e33338bd97"><name>CY_RSLT_OTA_ERROR_OUT_OF_MEMORY</name></member>
    <member kind="define" refid="group__group__ota__macros_1gac4da551b2f4908dccaa40b6fe233d075"><name>CY_RSLT_OTA_ERROR_ALREADY_STARTED</name></member>
    <member kind="define" refid="group__group__ota__macros_1gacc1a9b1b27f1b1c2865a272023c412b5"><name>CY_RSLT_OTA_ERROR_MQTT_INIT</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga94a5fccb180521ba74ea27e377040df2"><name>CY_RSLT_OTA_ERROR_OPEN_STORAGE</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga0e94362bf172e8e01e851f18a41b6a5f"><name>CY_RSLT_OTA_ERROR_WRITE_STORAGE</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga074884bb0c5caffdd660e577af3248f7"><name>CY_RSLT_OTA_ERROR_CLOSE_STORAGE</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga519c506d59a1ab1e126d9dd4e8a5f054"><name>CY_RSLT_OTA_ERROR_CONNECT</name></member>
    <member kind="define" refid="group__group__ota__macros_1gaf1d3f3c05f8239bac90ff280f34441ad"><name>CY_RSLT_OTA_ERROR_DISCONNECT</name></member>
    <member kind="define" refid="group__group__ota__macros_1gaa8eec83bf1a9f12fbf3d0695fd927ecc"><name>CY_RSLT_OTA_ERROR_REDIRECT</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga1c25e49e9d4924010fa246372c35ecaf"><name>CY_RSLT_OTA_ERROR_SERVER_DROPPED</name></member>
    <member kind="define" refid="group__group__ota__macros_1gaf18f30c0c209b60012ed43e259c8299b"><name>CY_RSLT_OTA_ERROR_MQTT_SUBSCRIBE</name></member>
    <member kind="define" refid="group__group__ota__macros_1gae0ebc271ab58c1b95ca1cd3a5edf062b"><name>CY_RSLT_OTA_ERROR_MQTT_PUBLISH</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga72d33079184f1c4b38d59ca9ed2ba4cf"><name>CY_RSLT_OTA_ERROR_GET_JOB</name></member>
    <member kind="define" refid="group__group__ota__macros_1gafc81291ec2968b7a51973b609c761bd1"><name>CY_RSLT_OTA_ERROR_GET_DATA</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga996c7f0d10151efc3a1061d664d0ea8a"><name>CY_RSLT_OTA_ERROR_NOT_A_HEADER</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga90bf832c7c98a10c1ccf1ef867577ef8"><name>CY_RSLT_OTA_ERROR_NOT_A_JOB_DOC</name></member>
    <member kind="define" refid="group__group__ota__macros_1gab2357860328020f4b5bb96e4976e0503"><name>CY_RSLT_OTA_ERROR_MALFORMED_JOB_DOC</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga1d12c0a9bded83c9c7fc28de4cb26e8d"><name>CY_RSLT_OTA_ERROR_WRONG_BOARD</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga828f0bfe78f4314ed585f7989eb0e1e9"><name>CY_RSLT_OTA_ERROR_INVALID_VERSION</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga05a242705c79d0c758365caea4d5af97"><name>CY_RSLT_OTA_ERROR_VERIFY</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga0d9847708d8f998130ce2062ff4ee32f"><name>CY_RSLT_OTA_ERROR_SENDING_RESULT</name></member>
    <member kind="define" refid="group__group__ota__macros_1gabca120598cf31481bf9024330d4a26a6"><name>CY_RSLT_OTA_ERROR_APP_RETURNED_STOP</name></member>
    <member kind="define" refid="group__group__ota__macros_1gac1db017f6ca01321a0d0427a26e4eb5d"><name>CY_RSLT_OTA_INFO_BASE</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga442089df28bff420f4c6c807104c36cf"><name>CY_RSLT_OTA_EXITING</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga5855d176295aea93b87f4f5b701a2c3b"><name>CY_RSLT_OTA_ALREADY_CONNECTED</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga0ebe6e99ef7dd59f63021386bea90274"><name>CY_RSLT_OTA_CHANGING_SERVER</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga3b3610ed06decd49b59451ad71a2f9fb"><name>CY_RSLT_OTA_USE_JOB_FLOW</name></member>
    <member kind="define" refid="group__group__ota__macros_1ga8ab9d0ba1ee8476721ca3c668418d605"><name>CY_RSLT_OTA_USE_DIRECT_FLOW</name></member>
    <member kind="define" refid="group__group__ota__macros_1gac0aa1a41fe2d75d14443050ecb235505"><name>CY_RSLT_OTA_NO_UPDATE_AVAILABLE</name></member>
  </compound>
  <compound kind="group" refid="group__group__ota__typedefs"><name>group_ota_typedefs</name>
    <member kind="enum" refid="group__group__ota__typedefs_1gaa14519d9111acc0f50e9fd5307283766"><name>cy_ota_update_flow_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggaa14519d9111acc0f50e9fd5307283766aa4d7311e721aa652fb94feda759e316c"><name>CY_OTA_JOB_FLOW</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggaa14519d9111acc0f50e9fd5307283766a55f4c6628f38214c90e8b05fd8e8db72"><name>CY_OTA_DIRECT_FLOW</name></member>
    <member kind="enum" refid="group__group__ota__typedefs_1gabc03646427dec963bef37cb5dbb550fa"><name>cy_ota_connection_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faa141f64e2edc3273de1e0374dc8e681ca"><name>CY_OTA_CONNECTION_UNKNOWN</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faa7955097dd62d0b81cb447d287d12bd98"><name>CY_OTA_CONNECTION_MQTT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faafb7b34f95f26234a0036b611205f904a"><name>CY_OTA_CONNECTION_HTTP</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faa680a4b7838e45eff7b93f98dde4af706"><name>CY_OTA_CONNECTION_HTTPS</name></member>
    <member kind="enum" refid="group__group__ota__typedefs_1ga6424608a6e19ecd99e52f4013354fa82"><name>cy_ota_mqtt_session_type_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga6424608a6e19ecd99e52f4013354fa82a63a3e6f75f26a0026b89674544f8c162"><name>CY_OTA_MQTT_SESSION_CLEAN</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga6424608a6e19ecd99e52f4013354fa82a4c63654c806aac390a44fa5708f9838a"><name>CY_OTA_MQTT_SESSION_RESTART</name></member>
    <member kind="enum" refid="group__group__ota__typedefs_1gad852fa8cdb0431df709ccf12bb37cd60"><name>cy_ota_cb_reason_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60a7d2f0693d44fd480e23c7de3c2f68d10"><name>CY_OTA_REASON_STATE_CHANGE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60a98710a7a1d2678890cda211ab2c89689"><name>CY_OTA_REASON_SUCCESS</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60ad2bf02c326de5c6c95551123155e14bd"><name>CY_OTA_REASON_FAILURE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60a6f1fe12d222a4fcb6aef59d045cc40af"><name>CY_OTA_LAST_REASON</name></member>
    <member kind="enum" refid="group__group__ota__typedefs_1gab1539ebc23219f1ca64318286e9d375f"><name>cy_ota_agent_state_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fae28d1cd8c5a985bb343a0828c234fdd0"><name>CY_OTA_STATE_NOT_INITIALIZED</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fab4dff9b84c5eafa48e4d3eaff2302ba5"><name>CY_OTA_STATE_EXITING</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa4980922c9b3cf3c4e1269324d4563d78"><name>CY_OTA_STATE_INITIALIZING</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faa1a4033af52d14af2873066da8f89098"><name>CY_OTA_STATE_AGENT_STARTED</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faf2dbf8dcfb8d9329549fa539970d9e54"><name>CY_OTA_STATE_AGENT_WAITING</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa4b481536d237fc9672cff019e5a24392"><name>CY_OTA_STATE_STORAGE_OPEN</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faf8b6a7adfb042c0b4379db005eb03fcb"><name>CY_OTA_STATE_STORAGE_WRITE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa8177ec48fc37847b69d33f90a3b4333b"><name>CY_OTA_STATE_STORAGE_CLOSE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fad8e99bc84c807fa17f23b119900d4c1a"><name>CY_OTA_STATE_START_UPDATE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fafdf0e2e6deb544bc5bdc5dec53b0609f"><name>CY_OTA_STATE_JOB_CONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa53922a893f09e01688b27c5d225e27a5"><name>CY_OTA_STATE_JOB_DOWNLOAD</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa5f9288e902dc5473fd3e681eb2c43012"><name>CY_OTA_STATE_JOB_DISCONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa1a5597cb918e3a60890c003ca2b35926"><name>CY_OTA_STATE_JOB_PARSE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa7d1ad039e8599533b1bd50c4068a41da"><name>CY_OTA_STATE_JOB_REDIRECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fab8c745b4b9dd7c582c1cc6735ad1401e"><name>CY_OTA_STATE_DATA_CONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa2821523d7c323f672da8b19b45d5d935"><name>CY_OTA_STATE_DATA_DOWNLOAD</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa1957660855d0051d85c9c6bc52bee808"><name>CY_OTA_STATE_DATA_DISCONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa64f1d70db6ac1c7b6053aa72a829cfd7"><name>CY_OTA_STATE_VERIFY</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa155daa564765a5efdb0f5e647832c25b"><name>CY_OTA_STATE_RESULT_REDIRECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa32bb3fbef7ed0e85e1130a8f8c206ac2"><name>CY_OTA_STATE_RESULT_CONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa38c70df41f2fab401d96e10bc21cb395"><name>CY_OTA_STATE_RESULT_SEND</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa559e81062c0a2f47f03dcbffefbc7a75"><name>CY_OTA_STATE_RESULT_RESPONSE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa7608a11942fc4b42c3487335639fd719"><name>CY_OTA_STATE_RESULT_DISCONNECT</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa1a0a36230c7f92d5b5af2394e14fa6a1"><name>CY_OTA_STATE_OTA_COMPLETE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faabbd5e53bc741afd226adfd143dde572"><name>CY_OTA_NUM_STATES</name></member>
    <member kind="enum" refid="group__group__ota__typedefs_1ga83280df2ca46db528cc12901d949fd63"><name>cy_ota_callback_results_t</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63a9b6b16fa9fcb36760749ced06ea21513"><name>CY_OTA_CB_RSLT_OTA_CONTINUE</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63ab33edc4fae91e1c99f93933fc3a06bd5"><name>CY_OTA_CB_RSLT_OTA_STOP</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63a874db6e6b0afe4654eca56b1e66fe419"><name>CY_OTA_CB_RSLT_APP_SUCCESS</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63acd8fc21808d384ae3609318297c3d542"><name>CY_OTA_CB_RSLT_APP_FAILED</name></member>
    <member kind="enumvalue" refid="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63aa831afb765223f42c44dd9f29980bad4"><name>CY_OTA_CB_NUM_RESULTS</name></member>
    <member kind="typedef" refid="group__group__ota__typedefs_1ga50b8b1ec191a1d5f9a8fcd3472811694"><name>cy_ota_context_ptr</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaa98a26ac37e321f0747f95198223e0db"><name>ADD_QUOTES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaf1d5499e79b04694c57bf2970c174e00"><name>EXPAND_AND_ADD_QUOTES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaa62bde5eb7581727adb8838fa28f4382"><name>CY_TARGET_BOARD_STRING</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gabf98602574aa1fdfb627d3c59f62b2ac"><name>CY_OTA_MQTT_FILENAME_BUFF_SIZE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga3cd431c05dec3136ee112edb90cce01f"><name>CY_OTA_MQTT_UNIQUE_TOPIC_BUFF_SIZE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaa987668674cd65e8d062f79c1486ec35"><name>CY_OTA_MQTT_MESSAGE_BUFF_SIZE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gad528bd1c223ff089ca1416f3530c6cd1"><name>CY_OTA_HTTP_FILENAME_SIZE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga1c07f2e527b6ee3653960f93cd90092d"><name>CY_OTA_MQTT_MAGIC</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga679088099bc7020dd2e19df18c507fc0"><name>NOTIFICATION_RESPONSE_NO_UPDATES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gab2b5ce5242ba117187728ac8d136b8e2"><name>NOTIFICATION_RESPONSE_UPDATES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gac89bcf834e94d6fc72c60928ace94e4b"><name>NOTIFICATION_RESPONSE_RESULT_RECEIVED</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gacc7dc593b056d4fa2eee44470959aca0"><name>CY_OTA_SUBSCRIBE_AVAIL_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga986c286579b648accf91d898722b9710"><name>SUBSCRIBER_PUBLISH_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga8dc51fb658999531cfe4ab9b9f554acd"><name>CY_OTA_INTERVAL_SECS_MIN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gadf3e83f72f338308efd080da234a6917"><name>CY_OTA_INTERVAL_SECS_MAX</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaa9fb26f92db493c4a169204ab3ee9f08"><name>CY_OTA_MESSAGE_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga1aa69132a89d0a238f76449491ba6016"><name>CY_OTA_MANUF_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga74d07f42ff3aae49a001029b5c57f828"><name>CY_OTA_MANUF_ID_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gadbb4a18cf414bd2c6af2b39a07c80fb0"><name>CY_OTA_PRODUCT_ID_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga5ee3924c6b01b26642e777e21c764496"><name>CY_OTA_SERIAL_NUMBER_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga041386d443aeabb6bbd6643c68f96adc"><name>CY_OTA_VERSION_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga75ddb6eca343477fecd15d4dcd0c70de"><name>CY_OTA_BOARD_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga7b427794d6dfe4dafb8c867afa550c6a"><name>CY_OTA_CONNECTION_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaeab0ff9a34f36cd59721a274a2f02492"><name>CY_OTA_BROKER_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gae6e7c8b2d26b0245a01a5f9e515a8910"><name>CY_OTA_PORT_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga86edcb103b12c0886fa5ddaab9efa6eb"><name>CY_OTA_SERVER_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga4590a9321e1312bff6010b2aebd8c4a9"><name>CY_OTA_FILE_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaedeb636239077a65833fc15c35cced00"><name>CY_OTA_UNIQUE_TOPIC_FIELD</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga039e8c4e1bf2b1e61ff054b1a10bd896"><name>CY_OTA_MQTT_STRING</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaca09f1bb148c6b924e508ebf4c62a67b"><name>CY_OTA_HTTP_STRING</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga2b765d95dd0c6557767c2cdee4eecb1e"><name>CY_OTA_HTTPS_STRING</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gafeabf7547c3bf41d6eac5c0418460d5f"><name>CY_OTA_MESSAGE_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga8a9f71090af6fb179057c25768989188"><name>CY_OTA_JOB_MANUF_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gad779217a01c618b3b2a4850b948af694"><name>CY_OTA_JOB_MANUF_ID_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga13aa56e1811d8af9cf693e613658859c"><name>CY_OTA_JOB_PRODUCT_ID_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga0dcb09fc965d0229169fbb92805eac1c"><name>CY_OTA_JOB_SERIAL_NUMBER_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gab1f5c6dc00a067408c323e98c04b051a"><name>CY_OTA_JOB_VERSION_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gade68cd450f8e703a3b76f41ff71660da"><name>CY_OTA_JOB_BOARD_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga11742662e966c045f986746b17ed9e43"><name>CY_OTA_JOB_URL_BROKER_LEN</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gad807b28a374507cfa1c43ce09baac07d"><name>CY_OTA_MQTT_BROKER_PORT</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga68b62710186e7c226662747716f47134"><name>CY_OTA_MQTT_BROKER_PORT_TLS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gae1abbd901985d3c62f9ab3ac4ba9e735"><name>CY_OTA_MQTT_BROKER_PORT_TLS_CERT</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaf8d169b0a2f22b1f638bee800d66967c"><name>CY_OTA_HTTP_SERVER_PORT</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga454f3e795c36d44efd7e4a9fac916dd3"><name>CY_OTA_HTTP_SERVER_PORT_TLS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gab585a7541d7bb222fbff7719555f68b0"><name>CY_OTA_INITIAL_CHECK_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga9c17fd8b3a98ec9f3f21ba475418227a"><name>CY_OTA_NEXT_CHECK_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga5f7048d0e07022decfaa5cd9afcfa2d1"><name>CY_OTA_RETRY_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga857fb18dbbc8e462f9eefa30d57afefb"><name>CY_OTA_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga28238863ca54b663f9faea4823253a42"><name>CY_OTA_PACKET_INTERVAL_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga5ac589095a8184084fc8ee3cf86f6d3f"><name>CY_OTA_JOB_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gac601cbb956da2706d87a25219fd38b3d"><name>CY_OTA_DATA_CHECK_TIME_SECS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gad937d8f959bccec87b87f11a9315ae3a"><name>CY_OTA_RETRIES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaf05c3cff9a4bcdf5d63e5f5d0962f25a"><name>CY_OTA_CONNECT_RETRIES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga63713f2122581c2bee97ebd3dbf1815c"><name>CY_OTA_MAX_DOWNLOAD_TRIES</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaaa47c22f94edbcb24052a7551f6a2f36"><name>PUBLISHER_LISTEN_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gab3832b31bfefc10020675d714665cd0d"><name>COMPANY_TOPIC_PREPEND</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga1a071cfd0e7d56ca360196cdc8af9356"><name>PUBLISHER_DIRECT_TOPIC</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga6a15cee55ef70fdacd2575f7742a1fa9"><name>CY_OTA_RESULT_SUCCESS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaeafc16eeca288eb87fe3183343c9ec0d"><name>CY_OTA_RESULT_FAILURE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga0e99cf1a339baebf4f71fe536b2967ea"><name>CY_OTA_SUBSCRIBE_UPDATES_AVAIL</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga66bd4606bfc0f6e85c2172603f9c62a0"><name>CY_OTA_DOWNLOAD_REQUEST</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga2d88b9b738dc724e8fb29883e04dcc23"><name>CY_OTA_DOWNLOAD_DIRECT_REQUEST</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga1eace95e0ec47d50df1e2810f4751173"><name>CY_OTA_MQTT_RESULT_JSON</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaa642af38818fce01f3a9c6960bc6d64d"><name>CY_OTA_HTTP_RESULT_JSON</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gabdddb494aa853699bec01c254bd307dd"><name>CY_OTA_HTTP_GET_TEMPLATE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gac14bf9939b2bd5d0b62817a87b4b30fa"><name>CY_OTA_HTTP_POST_TEMPLATE</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga448aa081432d624219ebedc2f28f5841"><name>CY_OTA_MQTT_KEEP_ALIVE_SECONDS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga3b4d0aa969fb1ec3adefbaec643f78d2"><name>CY_OTA_MQTT_MAX_TOPICS</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1gaacf195683127ce1df77b07cf017990a4"><name>CY_OTA_MQTT_TOPIC_PREFIX</name></member>
    <member kind="define" refid="group__group__ota__typedefs_1ga44b8c2bc6f4bb63c80b2939969cdb2ff"><name>CY_OTA_MQTT_CLIENT_ID_PREFIX</name></member>
  </compound>
  <compound kind="group" refid="group__group__ota__callback"><name>group_ota_callback</name>
    <member kind="typedef" refid="group__group__ota__callback_1gada4cd31993f1831e886a4beac9039220"><name>cy_ota_callback_t</name></member>
  </compound>
  <compound kind="group" refid="group__group__ota__structures"><name>group_ota_structures</name>
  </compound>
  <compound kind="group" refid="group__group__ota__functions"><name>group_ota_functions</name>
    <member kind="function" refid="group__group__ota__functions_1ga84d744546862b858ddc65334be5b63c3"><name>cy_ota_agent_start</name></member>
    <member kind="function" refid="group__group__ota__functions_1ga14b8129ff45b6af3bd71235676a220be"><name>cy_ota_agent_stop</name></member>
    <member kind="function" refid="group__group__ota__functions_1ga749e2780daeb68e40d47ca8c90a6922c"><name>cy_ota_get_update_now</name></member>
    <member kind="function" refid="group__group__ota__functions_1gaedc8ac983fc4781d0a4ca3e5dc113ec5"><name>cy_ota_validated</name></member>
    <member kind="function" refid="group__group__ota__functions_1gacc6737f1ddf83bc6e8918bcc16695b30"><name>cy_ota_get_state</name></member>
    <member kind="function" refid="group__group__ota__functions_1ga7149423078fe0b9d401bddc1d0e808d1"><name>cy_ota_get_last_error</name></member>
    <member kind="function" refid="group__group__ota__functions_1gaffc74d5bb4dd74ede1031222b9efcd9b"><name>cy_ota_get_error_string</name></member>
    <member kind="function" refid="group__group__ota__functions_1gafcd8ac0ada4557076da8070d11101f95"><name>cy_ota_get_state_string</name></member>
    <member kind="function" refid="group__group__ota__functions_1ga1f3276614aeca5a8d7c176f171024d66"><name>cy_ota_get_callback_reason_string</name></member>
  </compound>
  <compound kind="dir" refid="dir_d591cd46c80b053d7f6f4a16ffc7ff14"><name>bootutil</name>
  </compound>
  <compound kind="dir" refid="dir_e81093508952f8c7e7300db1061108c6"><name>bootutil</name>
  </compound>
  <compound kind="dir" refid="dir_0029b5cb06720584d68b140c982f9dd1"><name>configs</name>
  </compound>
  <compound kind="dir" refid="dir_b05146dbbff6b1e86882824f789d1c7d"><name>cy_flash_pal</name>
  </compound>
  <compound kind="dir" refid="dir_fdb466371896d5616240b51b3344dee6"><name>flash_map_backend</name>
  </compound>
  <compound kind="dir" refid="dir_6e6f49ca2dd1c0323cabcc55bcc608f7"><name>include</name>
  </compound>
  <compound kind="dir" refid="dir_dfa89803571599673e0e89a73763425d"><name>include</name>
  </compound>
  <compound kind="dir" refid="dir_110a3976e8d8505099946b77d3ea08cc"><name>include</name>
  </compound>
  <compound kind="dir" refid="dir_a18de6e8b9c73e4f53513de148e6bd61"><name>mcuboot</name>
  </compound>
  <compound kind="dir" refid="dir_839d1ee6d51a04bdb97eac73eabf3bc9"><name>mcuboot_config</name>
  </compound>
  <compound kind="dir" refid="dir_55e02230af88d24fd241239e42575ea5"><name>mcuboot_header</name>
  </compound>
  <compound kind="dir" refid="dir_962011e2c5576004b4aa5ba2758ac4b7"><name>mem_config</name>
  </compound>
  <compound kind="dir" refid="dir_31f08f371067155f2101e926f8e1daef"><name>source</name>
  </compound>
  <compound kind="dir" refid="dir_b82afeb358d322e6bcdb098c49c5d3a5"><name>src</name>
  </compound>
  <compound kind="dir" refid="dir_c59f0fbe2916746313cf14cad9efcc33"><name>sysflash</name>
  </compound>
  <compound kind="group" refid="indexpage"><name>index</name>
  </compound>
</doxygenindex>